# VARIABLES
variables:
  DOCKER_BUILDKIT: 1
  DOCKER_DRIVER: overlay2
  DOCKER_HOST: tcp://localhost:2375
  DOCKER_TLS_CERTDIR: ""

##########################################################################################################

## PIPELINE DEFINITION
stages:
  - check

##########################################################################################################

### COMMON SECTION
.common: &common
  variables:
    GIT_DEPTH: 1
    ANSIBLE_FORCE_COLOR: "True"
  before_script:
    - chmod -R o-w ../

##########################################################################################################

### TEST SECTION
test:
  <<: *common
  stage: check
  image: registry.cyberbrain.pw/ansible/ansible
  except:
    - /^master$/
  script:
    - test -r requirements.yml && ansible-galaxy install -r requirements.yml
    - ansible-lint -v -x '204' -x '305' -x '401' deploy.yml
